ranges::overloaded< First, Rest... > Struct Template Reference
Functional

## Public Member Functions

constexpr | overloaded (First first, Rest... rest)
template<typename... Args>
| requires (defer::invocable< First &, Args... >||defer::invocable< overloaded< Rest... > &, Args... >) const expr decltype(auto) operator()(Args &&... args) &
template<typename... Args>
| requires (defer::invocable< First const &, Args... >||defer::invocable< overloaded< Rest... > const &, Args... >) const expr decltype(auto) operator()(Args &&... args) const &
template<typename... Args>
| requires (defer::invocable< First, Args... >||defer::invocable< overloaded< Rest... >, Args... >) const expr decltype(auto) operator()(Args &&... args) &&